# Method: accounts.services.propose

- [HTTP request](https://developers.google.com/merchant/api/reference/rest/accounts_v1/accounts.services/propose#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/merchant/api/reference/rest/accounts_v1/accounts.services/propose#body.PATH_PARAMETERS)
- [Request body](https://developers.google.com/merchant/api/reference/rest/accounts_v1/accounts.services/propose#body.request_body)
  - [JSON representation](https://developers.google.com/merchant/api/reference/rest/accounts_v1/accounts.services/propose#body.request_body.SCHEMA_REPRESENTATION)
- [Response body](https://developers.google.com/merchant/api/reference/rest/accounts_v1/accounts.services/propose#body.response_body)
- [Authorization scopes](https://developers.google.com/merchant/api/reference/rest/accounts_v1/accounts.services/propose#body.aspect)
- [Try it!](https://developers.google.com/merchant/api/reference/rest/accounts_v1/accounts.services/propose#try-it)

Propose an account service.

### HTTP request

`POST https://merchantapi.googleapis.com/accounts/v1/{parent=accounts/*}/services:propose`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` Required. The resource name of the parent account for the service. Format: `accounts/{account}` |

### Request body

The request body contains data with the following structure:

| JSON representation |
|---|
| ``` { "provider": string, "accountService": { object (`https://developers.google.com/merchant/api/reference/rest/accounts_v1/accounts.services#AccountService`) } } ``` |

| Fields ||
|---|---|
| `provider` | `string` Required. The provider of the service. Either the reference to an account such as `providers/123` or a well-known service provider (one of `providers/GOOGLE_ADS` or `providers/GOOGLE_BUSINESS_PROFILE`). |
| `accountService` | ``object (`https://developers.google.com/merchant/api/reference/rest/accounts_v1/accounts.services#AccountService`)`` Required. The account service to propose. |

### Response body

If successful, the response body contains an instance of `https://developers.google.com/merchant/api/reference/rest/accounts_v1/accounts.services#AccountService`.

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/content`

For more information, see the [OAuth 2.0 Overview](https://developers.google.com/identity/protocols/OAuth2).